Bug 166255 - Review Request: Sprog
Review Request: Sprog
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jef Spaleta
Fedora Package Reviews List
http://sprog.sourceforge.net/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-18 07:36 EDT by Gavin Henry
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-08 00:25:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
New spec file to address %check issue (2.93 KB, text/plain)
2005-08-19 07:23 EDT, Paul Howarth
no flags Details

  None (edit)
Description Gavin Henry 2005-08-18 07:36:07 EDT
Spec Url: http://www.perl.me.uk/downloads/modules/Sprog.spec
SRPM Url: http://www.perl.me.uk/downloads/modules/Sprog-0.14-2.src.rpm

Description: Sprog is a tool for working with data. It allows you to do all the things those clever Unix geeks can do with their cryptic command lines but you can now do it all with point-n-click and drag-n-drop.
Comment 1 Gavin Henry 2005-08-19 05:59:50 EDT
If I change:

%check ||:
make test

to 

%check:
make test

The whole build fails.

What is actually wrong with:

%check ||:
make test
Comment 3 Paul Howarth 2005-08-19 06:19:19 EDT
Change it to:

%check

not:

%check:

The "|| :" after %check is redundant unless you're targeting very old (certainly
pre-Fedora) distros with your specfile.

Comment 4 Gavin Henry 2005-08-19 06:30:49 EDT
As I said, the build fails without %check ||:

????
Comment 5 Paul Howarth 2005-08-19 07:23:23 EDT
Created attachment 117906 [details]
New spec file to address %check issue

Try the attached spec file - builds fine for me in FC4. Won't build in the
Extras buildsystem until all the deps are available.
Comment 7 Jef Spaleta 2005-09-28 12:35:25 EDT
Seems the dep perl-Apache-LogRegex didn't make it through the build process for
the devel branch. The rest of the deps did get built. Can you push out a build
of perl-Apache-LogRegex?

-jef
Comment 8 Gavin Henry 2005-09-29 10:40:43 EDT
I thought I did. The Makefile seemed to have the name "meld" in it, so make tag
wouldn't work.

It is queued to build now.

Gavin.
Comment 9 Jef Spaleta 2005-10-13 19:50:10 EDT
Sigh....
Can't get this to build against current development tree.
The blasted perl-Template-Toolkit package requires perl(XML::DOM) 
which used to be provided by perl-libxml-enno
which was removed from Core on 20050921
nothing in developmnent right now provides perl(XML::DOM) so we are kinda stuck.

I've opened a bug ticket against perl-Template-Toolkit
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=170716

I might be able to dig up a cachsed version of -enno so I can build this locally
outside of mock to get this review done.

-jef
Comment 10 Jef Spaleta 2005-10-13 20:42:52 EDT
okay i dug up a version of perl-libxml-enno and got Sprog to build locally.

Everything checks out on the MUST list of review items... except...
sprog needs a .desktop file since its a gui app.

So there are 2 outstanding issues right now
1) perl(Template) is a requires and a buildrequires.. but is a blocker to
getting this built until perl-Template-Toolkit is corrected to fix its dep problem

2) sprog needs a .desktop file.

Nothing we can do about #1. But in the meantime can you spin up a new srpm that
includes a .desktop file and the associated scriptlets.


-jef
Comment 11 Gavin Henry 2005-10-14 03:53:15 EDT
I'll see to 2.

Cheers Jef.
Comment 12 Jef Spaleta 2005-11-09 16:45:17 EST
Okay looks like the perl(Template) is now available to build against.  Are you
prepared to hand out a srpm that takes care of the .desktop file issue?  We
might be able to finally get this sucker built against devel tree this weekend
and the review finished.

-jef
Comment 13 Gavin Henry 2005-11-09 17:11:42 EST
Yeah. Soon as I get a sec ;-)
Comment 14 Gavin Henry 2005-11-16 06:55:30 EST
Finally done, with correct desktop file, icon as per Grant's request and a patch
to fix some non-fatal build tests failing (provided by Grant).

New files:

http://www.perl.me.uk/downloads/modules/Sprog-0.14-4.src.rpm
http://www.perl.me.uk/downloads/modules/Sprog-0.14-4.noarch.rpm
http://www.perl.me.uk/downloads/modules/Sprog.spec
http://www.perl.me.uk/downloads/modules/md5sums
Comment 15 Jef Spaleta 2005-12-03 11:27:35 EST
Sorry it took so long to get back to this.

I'm having trouble getting to the http://www.perl.me.uk/downloads/modules/
directory
Comment 16 Jef Spaleta 2005-12-03 13:20:36 EST
Okay... Sprog-0.14-4.noarch.rpm  builds in mock against fedora core development

Good: 
rpnlint returns clean for mock built Sprog-0.14-4.fc5.noarch.rpm
specfile and packagenaming are good
Licensed as perl: GPL or Artistic
Has a desktop file.
no pre/post scriplets
md5sum of Source in srpm agrees with upstream source url in spec.
listed buildrequires look good
no shared or static libs
owns all the directories it creates
no -devel subpackage needed
patch to turn off some bogus test results in mock/buildsystem looks fine
mock built package seems to work on shallow functionality testing 

Bad:
http://www.fedoraproject.org/wiki/PackagingGuidelines
Doesn't BuildRequires: desktop-file-utils
doesn't use desktop-file-install in %install

Needed Changes:
*need to add desktop-file-utils usage as outlined in 
http://www.fedoraproject.org/wiki/PackagingGuidelines

*Need to remove the explicit license files being created from perdoc
There was a policy change the policy now reads:
http://www.fedoraproject.org/wiki/PackageReviewGuidelines
- MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.

I've made the necessary changes in Sprog-0.14-5.src.rpm
http://jef.is-a-geek.com/downloads/Sprog/Sprog-0.14-5.fc5.noarch.rpm
http://jef.is-a-geek.com/downloads/Sprog/Sprog-0.14-5.fc5.src.rpm
http://jef.is-a-geek.com/downloads/Sprog/Sprog.spec

I'm starting the clock for approval. If I don't hear anything back about
problems with Sprog-0.14-5  I'll approve this in 24 hours.


-jef
Comment 17 Gavin Henry 2005-12-03 13:53:19 EST
My fault, sorry. Was setting up Catalyst on that domain, and forgot to put it back.

Gavin.
Comment 18 Jef Spaleta 2005-12-04 12:42:08 EST
Okay not quite 24 hours, but close.

Sprog-0.14-5.fc5.src.rpm  is approved for FE development.

Comment 19 Ignacio Vazquez-Abrams 2006-02-21 04:31:12 EST
So is this package in limbo or what?
Comment 20 Gavin Henry 2006-02-22 05:49:16 EST
I don't think so. It's been commited, so not sure what is next.
Comment 21 Gavin Henry 2006-02-22 06:47:57 EST
Cheers for the kick Ignacio

Rebuilt to test everythign is still ok as Sprog-0.14-6.src.rpm. Commited to
devel tree.

Gavin.
Comment 22 Alex Lancaster 2006-02-22 12:22:52 EST
I tried installing Sprog for FC-4 from here:

http://www.perl.me.uk/downloads/modules/Sprog-0.14-4.noarch.rpm

just for kicks, just to see if the appropriate requires would be pulled in from
FE on FC-4, and I found that

perl-Gnome2-Canvas
perl-Imager
perl-GTK2-GladeXML

have not yet been built for FC-4, although they all _do_ have branches for FC-4
in CVS (and hence work in devel).  While you are waiting for the sprog FC-4
branch to be created, perhaps these deps can be built for FC-4 just to make sure
it will work.

Comment 23 Alex Lancaster 2006-02-22 12:45:15 EST
(In reply to comment #22)

> While you are waiting for the sprog FC-4  branch to be created, perhaps 
> these deps can be built for FC-4 just to make sure it will work.

bug #182455, bug #182458, bug #182459
 

Comment 24 Jef Spaleta 2006-02-22 13:10:13 EST
wtf.. can we PLEASE not overload this initial review bugreport concerning
requests to build the fc4 branch. requests for fc4 branch builds should not
block initial review request report resolution.  

as soon as sprog is built in devel.. this bug is going to be closed..
regardless.. of what the blocker status is concerning fc4 branch request.
Because as a reviewer who has taken on assignment for this bug this is outside
the scope of what the review request bug covers.

-jef
Comment 25 Alex Lancaster 2006-02-22 13:20:38 EST
(In reply to comment #24)

> as soon as sprog is built in devel.. this bug is going to be closed..
> regardless.. of what the blocker status is concerning fc4 branch request.
> Because as a reviewer who has taken on assignment for this bug this is outside
> the scope of what the review request bug covers.

Sprog's been built.  Waiting for being signed and pushed.  Sorry for the noise,
I didn't realise that Sprog bugzilla component had already been created.  I've
created a bug now: bug #182461.

I've opened up bugs on dependent package, but I didn't make them blockers on
this one, I'll switch them to above. ;-)  That's the last from me.

Comment 26 Christian Iseli 2006-03-28 10:32:21 EST
Looks like this package is imported and built.  Please close this ticket or
explain why it needs to stay open...
Comment 27 Michael J Knox 2006-05-08 00:25:29 EDT
package is imported and built... PLEASE remember to close package review when
imported into cvs etc

Note You need to log in before you can comment on or make changes to this bug.